﻿<!DOCTYPE html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /></head>
<body>
    <%
        var args= it.args,data = it.data ? it.data : it;
    %>
    <div id="set_other">
        <form action="../cgi-bin/web_cgi_setting.cgi" id="SettingSMTP" method="post">
        <div class="table-container">
            <div class="table-title"><span>/*[ID_SMTP]*/</span></div>
            <div class="table-list">
                <div class="table" style="background-color:#4B4B4B">
                    <ul>
                        <li class="t-1"><span class="right">/*[ID_EMAIL]*/:</span></li>
                        <li class="t-2"><span class="left text pl">
                            <input type="text" value ="<%=data.content[0] %>"  name="_SMTPsendto" /></span></li>
                        <li class="t-1"><span class="right">/*[ID_IP]*/:</span></li>
                        <li class="t-2"><span class="left text pl"><input type="text" value ="<%=data.content[1] %>" name="_SMTPserverIp" /></span></li>
                    </ul>
                    <ul>
                        <li class="t-1"><span class="right">/*[ID_PORT]*/:</span></li>
                        <li class="t-2"><span class="left text pl">
                            <input type="text" value ="<%=data.content[2] %>" name="_SMTPserverPort" /></span></li>
                        <li class="t-1"><span class="right">/*[ID_EMAIL1]*/:</span></li>
                        <li class="t-2"><span class="left text pl">
                            <input type="text" value ="<%=data.content[7] %>"  name="_SMTPsendfrom" /></span></li>
                    </ul>
                    <ul>
                        <li class="t-1"><span class="right">/*[ID_AUTHORIY]*/:</span></li>
                        <li class="t-2"><span class="left radio pl set_value">
                            <div name="_SMTPauthen" value="1" <%if(data.content[5]==1){%>class="radiodiv"<%}else{%>class="radiodiv radiodivnot"<%}%>>
                                <label>/*[ID_ENABLE]*/</label>
                            </div>
                             <div name="_SMTPauthen" value="0" <%if(data.content[5]==0){%>class="radiodiv"<%}else{%>class="radiodiv radiodivnot"<%}%>>
                                <label>/*[ID_DISABLE]*/</label>
                            </div>
                            </span>
                        </li>
                    </ul>
                    <div id="SMTP_account">
                        <ul>
                            <li class="t-1"><span class="right">/*[ID_ACCOUNT]*/:</span></li>
                            <li class="t-2"><span class="left text pl">
                                <input type="text" value ="<%=data.content[3] %>" name="_SMTPaccount" maxlength="32"  <%if(data.content[5]==0){ %> disabled="disabled" class="disabled" <%} %> /></span></li>
                            <li class="t-1"><span class="right">/*[ID_PASSWORD]*/:</span></li>
                            <li class="t-2"><span class="left text pl">
                                <input type="password" value ="<%=data.content[4] %>" name="_SMTPpassword"  maxlength="32"  <%if(data.content[5]==0){ %> disabled="disabled" class="disabled" <%} %> /></span></li>
                        </ul>
                    </div>
                    <ul>
                        <li class="t-1"><span class="right">/*[ID_ALARM_REPORT]*/:</span></li>
                        <li class="t-3"><span class="left radio pl set_value">
                           <div name="_SMTPalarmLevel" value="0" <%if(data.content[6]==0){%>class="radiodiv"<%}else{%>class="radiodiv radiodivnot"<%}%>><label>/*[ID_NONE]*/</label></div>
                           <div name="_SMTPalarmLevel" value="1" <%if(data.content[6]==1){%>class="radiodiv"<%}else{%>class="radiodiv radiodivnot"<%}%>><label>/*[ID_OA]*/</label></div>
                           <div name="_SMTPalarmLevel" value="2" <%if(data.content[6]==2){%>class="radiodiv"<%}else{%>class="radiodiv radiodivnot"<%}%>><label>/*[ID_MA]*/</label></div>
                           <div name="_SMTPalarmLevel" value="3" <%if(data.content[6]==3){%>class="radiodiv"<%}else{%>class="radiodiv radiodivnot"<%}%>><label>/*[ID_CA]*/</label></div>
                            </span>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="table-handle"><a href="#" class="btn_2 btn_2_disabled smtp_submit"><i>/*[ID_SET]*/</i></a></div>
        </div>
        </form>        
        <form action="../cgi-bin/web_cgi_setting.cgi" id="VPNForm" method="post" style="display:none;">
        <div class="table-container">
            <div class="table-title"><span>/*[ID_VPN]*/</span></div>
            <div class="table-list" id="VPNList" template='<div class="table" style="background-color:#4B4B4B">
            <ul>
                <li class="t-1"><span class="right">/*[ID_VPN]*/:</span></li>
                <li class="t-2"><span class="left radio pl set_value">
                    <div name="_VPNenable" value="1" {{if(it.content[0]==1){}}class="radiodiv"{{}else{}}class="radiodiv radiodivnot"{{} }}><label>/*[ID_ENABLE1]*/</label></div>
                    <div name="_VPNenable" value="0" {{if(it.content[0]==0){}}class="radiodiv"{{}else{}}class="radiodiv radiodivnot"{{} }}><label>/*[ID_DISABLE1]*/</label></div>
                    </span>
                </li>
            </ul>
            <div id="VPN_set">
                <ul>
                    <li class="t-1"><span class="right">/*[ID_VPN_IP]*/:</span></li>
                    <li class="t-2"><span class="left text pl">
                        <input type="text" value ="{{=Validates.ConvertIP(it.content[1]) }}" name="_VPNip" {{if(it.content[0]==0){ }} disabled="disabled" class="disabled" {{} }} /></span></li>
                    <li class="t-1"><span class="right">/*[ID_VPN_PORT]*/:</span></li>
                    <li class="t-2"><span class="left text pl">
                        <input type="text" value ="{{=it.content[2]}}" name="_VPNport" {{if(it.content[0]==0){ }} disabled="disabled" class="disabled" {{} }} /></span></li>
                </ul>
            </div>
			</div>'></div>
            <div class="table-handle" id="VPNList_set"  style="display:none;"><a href="#" class="btn_2 btn_2_disabled vpn_submit"><i>/*[ID_SET1]*/</i></a></div>
        </div>
        </form>
        <form action="../cgi-bin/web_cgi_setting.cgi" id="SMSForm" method="post">
        <div class="table-container">
            <div class="table-title"><span>/*[ID_SMS]*/</span></div>
            <div class="table-list" id="SMSList" template='{{
              var sms_cellphone1 = jQuery.trim(it.content[0]);
              var sms_cellphone2 = jQuery.trim(it.content[1]);
              var sms_cellphone3 = jQuery.trim(it.content[2]);
              }}
			<div class="table" style="background-color:#4B4B4B;<%if(jQuery.cookie("systeminfo")!=1){%>width:1143px<%}else{%>width:897px<%}%>">
            <ul>
                <li class="t-1"><span class="right">/*[ID_HANDPHONE1]*/:</span></li>
                <li class="t-2"><span class="left text pl"><input type="text" name="_SMSphone1" value ="{{=sms_cellphone1}}" maxlength="19" /></span></li>
                <li class="t-1"><span class="right">/*[ID_HANDPHONE2]*/:</span></li>
                <li class="t-2"><span class="left text pl"><input type="text" name="_SMSphone2" value ="{{=sms_cellphone2}}" maxlength="19" /></span></li>
            </ul>
            <ul>
                <li class="t-1"><span class="right">/*[ID_HANDPHONE3]*/:</span></li>
                <li class="t-2"><span class="left text pl"><input type="text" name="_SMSphone3" value ="{{=sms_cellphone3}}" maxlength="19" /></span></li>
            </ul>
            <ul>
                <li class="t-1"><span class="right">/*[ID_ALARMLEVEL]*/:</span></li>
                <li class="t-3"><span class="left radio pl set_value">
                    <div name="_SMSalarmLevel" value="0" {{if(it.content[3]==0||it.content[3]==""||it.content[3]==" "){}}class="radiodiv"{{}else{}}class="radiodiv radiodivnot"{{} }}><label>/*[ID_NONE1]*/</label></div>
                    <div name="_SMSalarmLevel" value="1" {{if(it.content[3]==1){}}class="radiodiv"{{}else{}}class="radiodiv radiodivnot"{{} }}><label>/*[ID_OA1]*/</label></div>
                    <div name="_SMSalarmLevel" value="2" {{if(it.content[3]==2){}}class="radiodiv"{{}else{}}class="radiodiv radiodivnot"{{} }}><label>/*[ID_MA1]*/</label></div>
                    <div name="_SMSalarmLevel" value="3" {{if(it.content[3]==3){}}class="radiodiv"{{}else{}}class="radiodiv radiodivnot"{{} }}><label>/*[ID_CA1]*/</label></div></span>
                </li>
            </ul>
			</div>'></div>
            <div class="table-handle"  id="SMSList_set" style="display:none;"><a href="#" class="btn_2 btn_2_disabled sms_submit"><i>/*[ID_SET2]*/</i></a></div>
        </div>
        </form>
    </div>
</body>
</html>
<%
Language["setting_other"] = {
	"errors":[
	        "/*[ID_ERROR0]*/",	/*[0]"Unknown error."*/
	        "/*[ID_ERROR1]*/",	/*[1]"Success"*/
	        "/*[ID_ERROR2]*/",	/*[2]"Failure, administrator privilege required."*/
	        "/*[ID_ERROR3]*/",	/*[3]"Failure, the user name already exists."*/
	        "/*[ID_ERROR4]*/",	/*[4]"Failure, incomplete information."*/
	        "/*[ID_ERROR5]*/",	/*[5]"Failure, NSC is hardware protected."*/
	        "/*[ID_ERROR6]*/",	/*[6]"Failure, incorrect password."*/
	        "/*[ID_ERROR7]*/",	/*[7]"Failure, deleting Admin is not allowed."*/
	        "/*[ID_ERROR8]*/",	/*[8]"Failure, not enough space."*/
	        "/*[ID_ERROR9]*/",	/*[9]"Failure, user already existed."*/
	        "/*[ID_ERROR10]*/",	/*[10]"Failure, too many users."*/
	        "/*[ID_ERROR11]*/",	/*[11]"Failuer, user is not exist."*/
            "/*[ID_TIPS1]*/",	/*[12]"Please select the user."*/
            "/*[ID_TIPS2]*/",	/*[13]"Please fill in user name."*/
            "/*[ID_TIPS3]*/",	/*[14]"Please fill in password."*/
            "/*[ID_TIPS4]*/",	/*[15]"Please confirm password."*/
            "/*[ID_TIPS5]*/"	/*[16]"Password not consistent."*/
    ],
	"tips":[
		"/*[ID_TIPS6]*/",	/*[0]"Please input an email address in the form name@domain."*/
		"/*[ID_TIPS7]*/",	/*[1]"Please input the right IP."*/
		"/*[ID_TIPS14]*/",	/*[2]"Only numbers are permitted!"*/
		"/*[ID_TIPS10] */",	/*[3]"Loading "*/
		"/* [ID_TIPS12]*/",	/*[4]" failed, data format error!"*/
		"/* [ID_TIPS13]*/"	/*[5]" failed, please refresh the page!"*/
	]
};
%>
<script>
        if(!(window.location.href.toString().indexOf("hl")>-1))
        {
            var IPurl = window.location.href.toString().split("app")[0];
            window.location.href=""+IPurl+"app/www_user/html/eng/login.html";
        }
</script>